let s:is_windows = 0
let s:is_mac = 0
let s:is_linux = 0

if has("win32")
  let s:is_windows = 1
elseif has("unix")
  if has("mac")
    let s:is_mac = 1
  else
    let s:is_linux = 1
  endif
endif

function! platform#is_windows()
  return s:is_windows
endfunction

function! platform#is_mac()
  return s:is_mac
endfunction

function! platform#is_linux()
  return s:is_linux
endfunction
